# git-verify-commit(1) Manual Page

## NAME

git-verify-commit - Check the GPG signature of commits

## SYNOPSIS

    git verify-commit [-v | --verbose] [--raw] <commit>…​

## DESCRIPTION

Validates the GPG signature created by git commit -S.

## OPTIONS

--raw

  Print the raw gpg status output to standard error instead of the normal human-readable output.

-v
--verbose

  Print the contents of the commit object before validating it.

<commit>…​

  SHA-1 identifiers of Git commit objects.

## GIT

Part of the git(1) suite